Skip to content

Managing Credit Notifications

Once you've setup your notification, you can edit it if you need to change the details, or delete if if it's no longer required.

Editing notifications

Notifications can be edited by making a request to the edit-credit-notification endpoint.


PATCH https://mplus.instagiv.com/notification/credit/{notification-uuid}
json
{
    "email_addresses": [],
    "webhook_url": "https://my.website.com/notify?k=123",
    "threshold_type": "packaged_fixed_number",
    "threshold_value": 10
}

response body

json
{
    "status": "updated"
}

In this example, I am:

  • Editing the notification with a notification-uuid that I specify in the URL path
  • Removing the email addresses by specifying an empty array: []
  • Updating the threshold to a fixed number, and re-specifying the updated threshold value to match

Deleting notifications

Notifications that are no longer needed can be permanently deleted by making a request to the delete-credit-notification endpoint.


DELETE https://mplus.instagiv.com/notification/credit/{notification-uuid}

response body

json
{
    "message": "Success"
}

Deleted notifications can not be recovered

Messaging Plus is a Cymba API